// --------------------------------------------------------------------------------------
//
// Modell.CS                                                       Ulrich Mller 23.11.05
//                                                                  PCS1700  C# Final SP2
// ftTeachCS : Bestimmen der Modelldaten
//
// -------------------------------------------------------------------------------------

using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;

namespace ftTeachCS
{
	public class frmModell : System.Windows.Forms.Form
	{
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.Button cmdOK;
		private System.Windows.Forms.Button cmdCancel;
		private System.Windows.Forms.GroupBox grpArbeitsraum;
		private System.Windows.Forms.ComboBox cboName;
		private System.Windows.Forms.ComboBox cboTyp;
		private System.Windows.Forms.TextBox txtText;
		private System.Windows.Forms.Label label2;
		private System.Windows.Forms.Label label3;
		private System.Windows.Forms.Label label4;
		private System.Windows.Forms.Label label5;
		private System.Windows.Forms.Label label6;
		private System.Windows.Forms.Label label7;
		private System.Windows.Forms.Label label8;
		private System.Windows.Forms.Label label9;
		private System.Windows.Forms.TextBox txtSaule;
		private System.Windows.Forms.TextBox txtArmH;
		private System.Windows.Forms.TextBox txtArmV;
		private System.Windows.Forms.TextBox txtGreifer;
		private System.Windows.Forms.CheckBox chkUpdate;
		private System.ComponentModel.Container components = null;

		private PerDaten pd;
		private RobSatz Modell = new RobSatz();

		public frmModell(PerDaten pd)
		{
			InitializeComponent();
			this.pd = pd;
			Modell  = pd[0];
		}

		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Erforderliche Methode fr die Designeruntersttzung. 
		/// Der Inhalt der Methode darf nicht mit dem Code-Editor gendert werden.
		/// </summary>
		private void InitializeComponent()
		{
			this.label1 = new System.Windows.Forms.Label();
			this.cmdOK = new System.Windows.Forms.Button();
			this.cmdCancel = new System.Windows.Forms.Button();
			this.grpArbeitsraum = new System.Windows.Forms.GroupBox();
			this.label9 = new System.Windows.Forms.Label();
			this.label8 = new System.Windows.Forms.Label();
			this.label7 = new System.Windows.Forms.Label();
			this.label6 = new System.Windows.Forms.Label();
			this.label5 = new System.Windows.Forms.Label();
			this.label4 = new System.Windows.Forms.Label();
			this.label3 = new System.Windows.Forms.Label();
			this.label2 = new System.Windows.Forms.Label();
			this.txtGreifer = new System.Windows.Forms.TextBox();
			this.txtArmV = new System.Windows.Forms.TextBox();
			this.txtArmH = new System.Windows.Forms.TextBox();
			this.txtSaule = new System.Windows.Forms.TextBox();
			this.cboName = new System.Windows.Forms.ComboBox();
			this.cboTyp = new System.Windows.Forms.ComboBox();
			this.txtText = new System.Windows.Forms.TextBox();
			this.chkUpdate = new System.Windows.Forms.CheckBox();
			this.grpArbeitsraum.SuspendLayout();
			this.SuspendLayout();
			// 
			// label1
			// 
			this.label1.BackColor = System.Drawing.Color.Gainsboro;
			this.label1.Font = new System.Drawing.Font("Verdana", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label1.Location = new System.Drawing.Point(28, 24);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(404, 32);
			this.label1.TabIndex = 0;
			this.label1.Text = "Modelldaten";
			this.label1.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// cmdOK
			// 
			this.cmdOK.Location = new System.Drawing.Point(240, 288);
			this.cmdOK.Name = "cmdOK";
			this.cmdOK.Size = new System.Drawing.Size(88, 24);
			this.cmdOK.TabIndex = 1;
			this.cmdOK.Text = "OK";
			this.cmdOK.Click += new System.EventHandler(this.cmdOK_Click);
			// 
			// cmdCancel
			// 
			this.cmdCancel.DialogResult = System.Windows.Forms.DialogResult.Cancel;
			this.cmdCancel.Location = new System.Drawing.Point(344, 288);
			this.cmdCancel.Name = "cmdCancel";
			this.cmdCancel.Size = new System.Drawing.Size(88, 24);
			this.cmdCancel.TabIndex = 2;
			this.cmdCancel.Text = "Abbrechen";
			this.cmdCancel.Click += new System.EventHandler(this.cmdCancel_Click);
			// 
			// grpArbeitsraum
			// 
			this.grpArbeitsraum.Controls.AddRange(new System.Windows.Forms.Control[] {
																						 this.label9,
																						 this.label8,
																						 this.label7,
																						 this.label6,
																						 this.label5,
																						 this.label4,
																						 this.label3,
																						 this.label2,
																						 this.txtGreifer,
																						 this.txtArmV,
																						 this.txtArmH,
																						 this.txtSaule});
			this.grpArbeitsraum.Location = new System.Drawing.Point(32, 112);
			this.grpArbeitsraum.Name = "grpArbeitsraum";
			this.grpArbeitsraum.Size = new System.Drawing.Size(400, 160);
			this.grpArbeitsraum.TabIndex = 3;
			this.grpArbeitsraum.TabStop = false;
			this.grpArbeitsraum.Text = "Arbeitsraum";
			// 
			// label9
			// 
			this.label9.Location = new System.Drawing.Point(232, 119);
			this.label9.Name = "label9";
			this.label9.Size = new System.Drawing.Size(144, 16);
			this.label9.TabIndex = 11;
			this.label9.Text = "Impulse zum Schlieen";
			// 
			// label8
			// 
			this.label8.Location = new System.Drawing.Point(232, 92);
			this.label8.Name = "label8";
			this.label8.Size = new System.Drawing.Size(144, 16);
			this.label8.TabIndex = 10;
			this.label8.Text = "Impulse nach Unten";
			// 
			// label7
			// 
			this.label7.Location = new System.Drawing.Point(232, 65);
			this.label7.Name = "label7";
			this.label7.Size = new System.Drawing.Size(144, 16);
			this.label7.TabIndex = 9;
			this.label7.Text = "Impulse nach Vorn";
			// 
			// label6
			// 
			this.label6.Location = new System.Drawing.Point(232, 38);
			this.label6.Name = "label6";
			this.label6.Size = new System.Drawing.Size(144, 16);
			this.label6.TabIndex = 8;
			this.label6.Text = "Impulse nach Rechts";
			// 
			// label5
			// 
			this.label5.Location = new System.Drawing.Point(24, 120);
			this.label5.Name = "label5";
			this.label5.Size = new System.Drawing.Size(144, 16);
			this.label5.TabIndex = 7;
			this.label5.Text = "Greifer                   0 - ";
			// 
			// label4
			// 
			this.label4.Location = new System.Drawing.Point(24, 92);
			this.label4.Name = "label4";
			this.label4.Size = new System.Drawing.Size(144, 16);
			this.label4.TabIndex = 6;
			this.label4.Text = "Arm Vertikal           0 -";
			// 
			// label3
			// 
			this.label3.Location = new System.Drawing.Point(24, 66);
			this.label3.Name = "label3";
			this.label3.Size = new System.Drawing.Size(144, 16);
			this.label3.TabIndex = 5;
			this.label3.Text = "Arm Horizontal        0 - ";
			// 
			// label2
			// 
			this.label2.Location = new System.Drawing.Point(24, 40);
			this.label2.Name = "label2";
			this.label2.Size = new System.Drawing.Size(144, 16);
			this.label2.TabIndex = 4;
			this.label2.Text = "Sule                     0 - ";
			// 
			// txtGreifer
			// 
			this.txtGreifer.Location = new System.Drawing.Point(176, 120);
			this.txtGreifer.Name = "txtGreifer";
			this.txtGreifer.Size = new System.Drawing.Size(40, 21);
			this.txtGreifer.TabIndex = 3;
			this.txtGreifer.Text = "0";
			this.txtGreifer.TextAlign = System.Windows.Forms.HorizontalAlignment.Center;
			// 
			// txtArmV
			// 
			this.txtArmV.Location = new System.Drawing.Point(176, 96);
			this.txtArmV.Name = "txtArmV";
			this.txtArmV.Size = new System.Drawing.Size(40, 21);
			this.txtArmV.TabIndex = 2;
			this.txtArmV.Text = "0";
			this.txtArmV.TextAlign = System.Windows.Forms.HorizontalAlignment.Center;
			// 
			// txtArmH
			// 
			this.txtArmH.Location = new System.Drawing.Point(176, 64);
			this.txtArmH.Name = "txtArmH";
			this.txtArmH.Size = new System.Drawing.Size(40, 21);
			this.txtArmH.TabIndex = 1;
			this.txtArmH.Text = "0";
			this.txtArmH.TextAlign = System.Windows.Forms.HorizontalAlignment.Center;
			// 
			// txtSaule
			// 
			this.txtSaule.Location = new System.Drawing.Point(176, 32);
			this.txtSaule.Name = "txtSaule";
			this.txtSaule.Size = new System.Drawing.Size(40, 21);
			this.txtSaule.TabIndex = 0;
			this.txtSaule.Text = "0";
			this.txtSaule.TextAlign = System.Windows.Forms.HorizontalAlignment.Center;
			// 
			// cboName
			// 
			this.cboName.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.cboName.Items.AddRange(new object[] {
														 "Rob0",
														 "Rob1",
														 "Rob2",
														 "Rob3",
														 "Rob4",
														 "Rob5",
														 "Rob6",
														 "Rob7",
														 "Rob8",
														 "Rob9"});
			this.cboName.Location = new System.Drawing.Point(32, 72);
			this.cboName.Name = "cboName";
			this.cboName.Size = new System.Drawing.Size(64, 21);
			this.cboName.TabIndex = 4;
			this.cboName.SelectedIndexChanged += new System.EventHandler(this.cboName_SelectedIndexChanged);
			// 
			// cboTyp
			// 
			this.cboTyp.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.cboTyp.Items.AddRange(new object[] {
														"Greifer",
														"Zusatz"});
			this.cboTyp.Location = new System.Drawing.Point(112, 72);
			this.cboTyp.Name = "cboTyp";
			this.cboTyp.Size = new System.Drawing.Size(88, 21);
			this.cboTyp.TabIndex = 5;
			// 
			// txtText
			// 
			this.txtText.Location = new System.Drawing.Point(216, 72);
			this.txtText.Name = "txtText";
			this.txtText.Size = new System.Drawing.Size(216, 21);
			this.txtText.TabIndex = 6;
			this.txtText.Text = "Modellbeschreibung";
			// 
			// chkUpdate
			// 
			this.chkUpdate.Location = new System.Drawing.Point(40, 288);
			this.chkUpdate.Name = "chkUpdate";
			this.chkUpdate.Size = new System.Drawing.Size(168, 16);
			this.chkUpdate.TabIndex = 7;
			this.chkUpdate.Text = "Update Robotwerte";
			// 
			// frmModell
			// 
			this.AcceptButton = this.cmdOK;
			this.AutoScaleBaseSize = new System.Drawing.Size(6, 14);
			this.CancelButton = this.cmdCancel;
			this.ClientSize = new System.Drawing.Size(458, 335);
			this.Controls.AddRange(new System.Windows.Forms.Control[] {
																		  this.chkUpdate,
																		  this.txtText,
																		  this.cboTyp,
																		  this.cboName,
																		  this.grpArbeitsraum,
																		  this.cmdCancel,
																		  this.cmdOK,
																		  this.label1});
			this.Font = new System.Drawing.Font("Verdana", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog;
			this.MaximizeBox = false;
			this.Name = "frmModell";
			this.ShowInTaskbar = false;
			this.StartPosition = System.Windows.Forms.FormStartPosition.Manual;
			this.Text = "ftTeachCS : Modelle";
			this.Load += new System.EventHandler(this.frmModell_Load);
			this.grpArbeitsraum.ResumeLayout(false);
			this.ResumeLayout(false);

		}
		#endregion

		private void cmdOK_Click(object sender, System.EventArgs e) {
			Modell.Name    = cboName.Text;
			Modell.rNr     = cboName.SelectedIndex;
			Modell.Typ     = cboTyp.Text;
			Modell.tNr     = cboTyp.SelectedIndex;
			Modell.Text    = txtText.Text;
			Modell.Saule   = Convert.ToInt32(txtSaule.Text);
			Modell.ArmH    = Convert.ToInt32(txtArmH.Text);
			Modell.ArmV    = Convert.ToInt32(txtArmV.Text);
			Modell.Greifer = Convert.ToInt32(txtGreifer.Text);
			pd[0] = Modell;
			if(chkUpdate.Checked) pd[cboName.SelectedIndex] = Modell;
			this.Close();
		}

		private void cmdCancel_Click(object sender, System.EventArgs e) {
			this.Close();
		}

		private void frmModell_Load(object sender, System.EventArgs e) {
			cboName.SelectedIndex = Modell.rNr;
			cboTyp.SelectedIndex = Modell.tNr;
			txtText.Text    = Modell.Text;
			txtSaule.Text   = Modell.Saule.ToString();
			txtArmH.Text    = Modell.ArmH.ToString();
			txtArmV.Text    = Modell.ArmV.ToString();
			txtGreifer.Text = Modell.Greifer.ToString();
		}

		private void cboName_SelectedIndexChanged(object sender, System.EventArgs e) {
			int i = cboName.SelectedIndex;
			cboTyp.SelectedIndex = pd[i].tNr;
			txtText.Text         = pd[i].Text;
			txtSaule.Text        = pd[i].Saule.ToString();
			txtArmH.Text         = pd[i].ArmH.ToString();
			txtArmV.Text         = pd[i].ArmV.ToString();
			txtGreifer.Text      = pd[i].Greifer.ToString();
		}
	}
}
