// --------------------------------------------------------------------------------------
//
// Schnitt.CS                                                      Ulrich Mller 24.11.05
//                                                                 PCS1700   C# Final SP2
// ftTeachCS : Auswahl des Interfaces
//
// -------------------------------------------------------------------------------------

using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;

namespace ftTeachCS
{
	public class frmSchnitt : System.Windows.Forms.Form
	{
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.ComboBox cboPort;
		private System.Windows.Forms.NumericUpDown numSerial;
		private System.ComponentModel.Container components = null;

		private PerDaten pd;
		private System.Windows.Forms.ComboBox cboName;
		private System.Windows.Forms.Button cmdOK;
		private System.Windows.Forms.Button cmdCancel;
		private System.Windows.Forms.CheckBox chkUpdate;
		private IntSatz  Interface = new IntSatz();

		public frmSchnitt(PerDaten pd)
		{
			InitializeComponent();
			this.pd   = pd;
			Interface = pd.IntModelle[0];
		}

		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Erforderliche Methode fr die Designeruntersttzung. 
		/// Der Inhalt der Methode darf nicht mit dem Code-Editor gendert werden.
		/// </summary>
		private void InitializeComponent()
		{
			this.label1 = new System.Windows.Forms.Label();
			this.cboName = new System.Windows.Forms.ComboBox();
			this.cboPort = new System.Windows.Forms.ComboBox();
			this.numSerial = new System.Windows.Forms.NumericUpDown();
			this.cmdOK = new System.Windows.Forms.Button();
			this.cmdCancel = new System.Windows.Forms.Button();
			this.chkUpdate = new System.Windows.Forms.CheckBox();
			((System.ComponentModel.ISupportInitialize)(this.numSerial)).BeginInit();
			this.SuspendLayout();
			// 
			// label1
			// 
			this.label1.BackColor = System.Drawing.Color.Gainsboro;
			this.label1.Font = new System.Drawing.Font("Verdana", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label1.Location = new System.Drawing.Point(32, 24);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(232, 32);
			this.label1.TabIndex = 0;
			this.label1.Text = "Interface Daten";
			this.label1.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// cboName
			// 
			this.cboName.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.cboName.Items.AddRange(new object[] {
														 "ROBO first USB",
														 "ROBO first USB",
														 "Intelligent IF",
														 "Intelligent IF Slave",
														 "ROBO IF IIM",
														 "ROBO IF USB",
														 "ROBO IF COM",
														 "ROBO IF Over RF",
														 "ROBO IO Extension",
														 "ROBO RF Datalink"});
			this.cboName.Location = new System.Drawing.Point(32, 80);
			this.cboName.Name = "cboName";
			this.cboName.Size = new System.Drawing.Size(240, 21);
			this.cboName.TabIndex = 1;
			this.cboName.SelectedIndexChanged += new System.EventHandler(this.cboName_SelectedIndexChanged);
			// 
			// cboPort
			// 
			this.cboPort.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.cboPort.Items.AddRange(new object[] {
														 "USB",
														 "USB",
														 "COM1",
														 "COM2",
														 "COM3",
														 "COM4"});
			this.cboPort.Location = new System.Drawing.Point(176, 128);
			this.cboPort.Name = "cboPort";
			this.cboPort.Size = new System.Drawing.Size(96, 21);
			this.cboPort.TabIndex = 2;
			// 
			// numSerial
			// 
			this.numSerial.Location = new System.Drawing.Point(32, 128);
			this.numSerial.Maximum = new System.Decimal(new int[] {
																	  9999,
																	  0,
																	  0,
																	  0});
			this.numSerial.Name = "numSerial";
			this.numSerial.Size = new System.Drawing.Size(80, 21);
			this.numSerial.TabIndex = 3;
			this.numSerial.TextAlign = System.Windows.Forms.HorizontalAlignment.Center;
			// 
			// cmdOK
			// 
			this.cmdOK.Location = new System.Drawing.Point(88, 200);
			this.cmdOK.Name = "cmdOK";
			this.cmdOK.Size = new System.Drawing.Size(88, 24);
			this.cmdOK.TabIndex = 4;
			this.cmdOK.Text = "OK";
			this.cmdOK.Click += new System.EventHandler(this.cmdOK_Click);
			// 
			// cmdCancel
			// 
			this.cmdCancel.DialogResult = System.Windows.Forms.DialogResult.Cancel;
			this.cmdCancel.Location = new System.Drawing.Point(184, 200);
			this.cmdCancel.Name = "cmdCancel";
			this.cmdCancel.Size = new System.Drawing.Size(88, 24);
			this.cmdCancel.TabIndex = 5;
			this.cmdCancel.Text = "Abbrechen";
			this.cmdCancel.Click += new System.EventHandler(this.cmdCancel_Click);
			// 
			// chkUpdate
			// 
			this.chkUpdate.Location = new System.Drawing.Point(32, 168);
			this.chkUpdate.Name = "chkUpdate";
			this.chkUpdate.Size = new System.Drawing.Size(184, 16);
			this.chkUpdate.TabIndex = 6;
			this.chkUpdate.Text = "Update Interfacewerte";
			// 
			// frmSchnitt
			// 
			this.AcceptButton = this.cmdOK;
			this.AutoScaleBaseSize = new System.Drawing.Size(6, 14);
			this.CancelButton = this.cmdCancel;
			this.ClientSize = new System.Drawing.Size(298, 239);
			this.Controls.AddRange(new System.Windows.Forms.Control[] {
																		  this.chkUpdate,
																		  this.cmdCancel,
																		  this.cmdOK,
																		  this.numSerial,
																		  this.cboPort,
																		  this.cboName,
																		  this.label1});
			this.Font = new System.Drawing.Font("Verdana", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog;
			this.MaximizeBox = false;
			this.Name = "frmSchnitt";
			this.ShowInTaskbar = false;
			this.StartPosition = System.Windows.Forms.FormStartPosition.Manual;
			this.Text = "ftTeachCS : Interface-Daten";
			this.Load += new System.EventHandler(this.frmSchnitt_Load);
			((System.ComponentModel.ISupportInitialize)(this.numSerial)).EndInit();
			this.ResumeLayout(false);

		}
		#endregion

		private void frmSchnitt_Load(object sender, System.EventArgs e) {
			cboName.Items.Clear();
			for(int i = 0; i < pd.AnzInt; i++) 
				cboName.Items.Add(pd.IntModelle[i].Name);
			cboName.SelectedIndex = Interface.iNr;
			// --- Rest ber cboName_SelectedIndexChanged 
		}

		private void cmdCancel_Click(object sender, System.EventArgs e) {
			this.Close();
		}

		private void cmdOK_Click(object sender, System.EventArgs e) {
			Interface        = pd.IntModelle[cboName.SelectedIndex];
			Interface.iNr    = cboName.SelectedIndex;
			Interface.Port   = cboPort.Text;
			Interface.pNr    = cboPort.SelectedIndex-1;
			Interface.Serial = (int)numSerial.Value;
			pd.IntModelle[0] = Interface;
			if(chkUpdate.Checked) pd.IntModelle[cboName.SelectedIndex] = Interface;
			this.Close();
		}

		private void cboName_SelectedIndexChanged(object sender, System.EventArgs e) {
			int i = cboName.SelectedIndex;
			cboName.Text = pd.IntModelle[i].Name;
			cboPort.SelectedIndex = pd.IntModelle[i].pNr;
			if(pd.IntModelle[i].COM) {
				cboPort.Enabled  = true;
				numSerial.Value  = 0;
				numSerial.Enabled = false;
			}
			else {
				cboPort.Enabled   = false;
				numSerial.Value   = pd.IntModelle[i].Serial;
				numSerial.Enabled = true;
			}
		}
	}
}
